Page MenuHomePhabricator

[[MediaWiki:Newsletter-email-batch-body/en]] needs GENDER support on $2.
Closed, ResolvedPublic

Event Timeline

Purodha raised the priority of this task from to Needs Triage.
Purodha updated the task description. (Show Details)
Purodha added a subscriber: Purodha.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 1 2016, 10:21 AM

I would like to work on this bug can someone explain me the bug?

The message - text to be found in .../i18n/en.json - needs the magic word {{GENDER:$2|....}} added so as to correctly talk about the user $2. Also .../i18n/qqq.json needs to be updated accordingly. The code using the message needs to be found and checked and, if need be, amended to work with GENDER, too. That is likely mainly a check must be made that a call to fwMessage->something allows/supports GENDER processing.

Change 262443 had a related patch set uploaded (by Haritha28):
Add GENDER support

https://gerrit.wikimedia.org/r/262443

MtDu claimed this task.Jan 10 2016, 2:36 AM
MtDu added a subscriber: MtDu.

I will go ahead and do this.

Change 263210 had a related patch set uploaded (by MtDu):
Add GENDER to some Newsletter messages

https://gerrit.wikimedia.org/r/263210

Change 263210 merged by jenkins-bot:
Add GENDER to some Newsletter messages

https://gerrit.wikimedia.org/r/263210

01tonythomas closed this task as Resolved.Jan 28 2016, 12:41 PM
01tonythomas added a subscriber: 01tonythomas.

Thank you @MtDu

Change 262443 abandoned by 01tonythomas:
Add GENDER support

Reason:
Have a different patchset merged - Iedb7e40e1fc839c082aaa4c3a1bb7e95c521f387

Thank You, and your work is encouraged on the other localization tasks tracked at https://phabricator.wikimedia.org/T32443

https://gerrit.wikimedia.org/r/262443

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 15 2017, 8:08 PM